package com.androidbook.triviaquiz11;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class QuizMenuActivity extends QuizActivity {
    /** アクティビティが最初に生成されるときに呼び出される */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.menu);
        
        ListView menuList = (ListView) findViewById(R.id.ListView_Menu);
        
        String[] items = { getResources().getString(R.string.menu_item_play),
            getResources().getString(R.string.menu_item_scores),
            getResources().getString(R.string.menu_item_settings),
            getResources().getString(R.string.menu_item_help) };
        ArrayAdapter<String> adapt = new ArrayAdapter<String>(this, R.layout.menu_item, items);
        menuList.setAdapter(adapt);
        
        menuList.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            
            public void onItemClick(AdapterView<?> parent, View itemClicked, int position, long id) {
                
                // 注：リストを「手作業」で作成した場合は、idを使用することになるかもしれない
                // しかし、この例ではすべての項目のidが同じになっている
                
                TextView textView = (TextView) itemClicked;
                String strText = textView.getText().toString();
                
                if (strText.equalsIgnoreCase(getResources().getString(R.string.menu_item_play))) {
                    // ゲーム画面アクティビティの開始
                    startActivity(new Intent(QuizMenuActivity.this, QuizGameActivity.class));
                } else if (strText.equalsIgnoreCase(getResources().getString(R.string.menu_item_help))) {
                    // ヘルプ画面アクティビティの開始
                    startActivity(new Intent(QuizMenuActivity.this, QuizHelpActivity.class));
                } else if (strText.equalsIgnoreCase(getResources().getString(R.string.menu_item_settings))) {
                    // 設定画面アクティビティの開始
                    startActivity(new Intent(QuizMenuActivity.this, QuizSettingsActivity.class));
                } else if (strText.equalsIgnoreCase(getResources().getString(R.string.menu_item_scores))) {
                    // スコア画面アクティビティの開始
                    startActivity(new Intent(QuizMenuActivity.this, QuizScoresActivity.class));
                }
                
            }
        });
        
    }
}
